Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet.prefs.spi
Class PortletPreferencesId

    java.lang.Object
      com.bea.portlet.prefs.spi.PortletPreferencesId

All Implemented Interfaces
  Serializable, Cloneable

    public class PortletPreferencesId

extends Object
implements Serializable, Cloneable

Specifies a unique identifier for managing preferences.

This unique identifier is made up of the instance ID of the portlet, and optionally additional properties.

This class is not thread-safe.

See Also
  Serialized Form

Field Summary
`static String` | `DESKTOP_PATH` A constant defining the desktop path
`static int` | `NO_INSTANCE` Default instance ID.
`static String` | `PORTAL_PATH` A constant defining the portal path
`static String` | `WEBAPP_NAME` A constant defining the web app name

Constructor Summary
`PortletPreferencesId(int instanceId)` Creates an instance with the given instance ID.
`PortletPreferencesId(int instanceId, String webappName, String portalPath, String desktopPath)` Creates an instance with the given arguments.

Method Summary
`Object` | `clone()` Returns a deep copy of this object.
`boolean` | `equals(Object that)` Returns `true` if the given object is equal in value to this object.
`String` | `getDefinitionLabel()` Returns the definition label.
`String` | `getDesktopPath()`
`int` | `getInstanceId()` Returns the instance ID.
`String` | `getInstanceLabel()` Returns the instance label.
`String` | `getPortalPath()`
`String` | `getProperty(String key)` Returns the value of the property with the given key.
`String` | `getWebappName()`
`int` | `hashCode()` Returns the hashcode.
`void` | `setDefinitionLabel(String definitionLabel)` Sets definition label.
`void` | `setDesktopPath(String desktopPath)`
`void` | `setInstanceId(int instanceId)` Sets the instance ID.
`void` | `setInstanceLabel(String instanceLabel)` Sets the instance label.
`void` | `setPortalPath(String portalPath)`
`void` | `setProperty(String key, String value)` Associates a property with the given key and value with this identifier.
`void` | `setWebappName(String webappName)`
`String` | `toString()` Returns a string value.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### WEBAPP_NAME

    public static final String WEBAPP_NAME

  A constant defining the web app name

  See Also
    Constants Summary

### PORTAL_PATH

    public static final String PORTAL_PATH

  A constant defining the portal path

  See Also
    Constants Summary

### DESKTOP_PATH

    public static final String DESKTOP_PATH

  A constant defining the desktop path

  See Also
    Constants Summary

### NO_INSTANCE

    public static final int NO_INSTANCE

  Default instance ID. The default ID is used to indicate that this ID does not correspond to persistent portlet instance.

  See Also
    Constants Summary

Constructor Detail

### PortletPreferencesId

    public PortletPreferencesId(int instanceId)

  Creates an instance with the given instance ID.

  Parameters
    `instanceId` - instance ID

### PortletPreferencesId

    public PortletPreferencesId(int instanceId,
                                String webappName,
                                String portalPath,
                                String desktopPath)

  Creates an instance with the given arguments.

  Parameters
    `instanceId` - instance ID

Method Detail

### getInstanceId

    public int getInstanceId()

  Returns the instance ID.

  Returns
    instanceId

### setInstanceId

    public void setInstanceId(int instanceId)

  Sets the instance ID.

  Parameters
    `instanceId` - instance ID

### setDefinitionLabel

    public void setDefinitionLabel(String definitionLabel)

  Sets definition label.

  Parameters
    `definitionLabel` - definition label

### getDefinitionLabel

    public String getDefinitionLabel()

  Returns the definition label.

  Returns
    definition label

### getInstanceLabel

    public String getInstanceLabel()

  Returns the instance label.

  Returns
    instance label

### setInstanceLabel

    public void setInstanceLabel(String instanceLabel)

  Sets the instance label.

  Parameters
    `instanceLabel` - instance label

### setProperty

    public void setProperty(String key,
                            String value)

  Associates a property with the given key and value with this identifier.

  The value of a property may be null.

  Parameters
    `key` - key
    `value` - value

### getWebappName

    public String getWebappName()

### setWebappName

    public void setWebappName(String webappName)

### getPortalPath

    public String getPortalPath()

### setPortalPath

    public void setPortalPath(String portalPath)

### getDesktopPath

    public String getDesktopPath()

### setDesktopPath

    public void setDesktopPath(String desktopPath)

### getProperty

    public String getProperty(String key)

  Returns the value of the property with the given key.

  Parameters
    `key` - key
  Returns
    value value

### toString

    public String toString()

  Returns a string value. The returned string will be of the form "///...//"

  Overrides:
    `toString` in class `Object`
  Returns
    string

### hashCode

    public int hashCode()

  Returns the hashcode.

  Overrides:
    `hashCode` in class `Object`
  Returns
    hashcode

### equals

    public boolean equals(Object that)

  Returns `true` if the given object is equal in value to this object. Returns `false` otherwise.

  Overrides:
    `equals` in class `Object`
  Parameters
    `that` - object

### clone

    public Object clone()

  Returns a deep copy of this object.

  Overrides:
    `clone` in class `Object`
  Returns
    copy

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.